summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2017-02-15 22:18:19 +0000
committerSergei Trofimovich <slyfox@gentoo.org>2017-02-16 10:21:23 +0000
commit287a1f98dfc62419be02fd4a80ecaccac6b9dea8 (patch)
tree33814f3bdef18dac5ef1815f68477e76e4197ae5 /sci-mathematics
parentdev-haskell/uhc-light: new package, a depend of sci-mathematics/agda-2.5.2 (diff)
downloadgentoo-287a1f98dfc62419be02fd4a80ecaccac6b9dea8.tar.gz
gentoo-287a1f98dfc62419be02fd4a80ecaccac6b9dea8.tar.bz2
gentoo-287a1f98dfc62419be02fd4a80ecaccac6b9dea8.zip
sci-mathematics/agda: bump up to 2.5.2
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'sci-mathematics')
-rw-r--r--sci-mathematics/agda/Manifest1
-rw-r--r--sci-mathematics/agda/agda-2.5.2-r1.ebuild149
-rw-r--r--sci-mathematics/agda/metadata.xml1
3 files changed, 151 insertions, 0 deletions
diff --git a/sci-mathematics/agda/Manifest b/sci-mathematics/agda/Manifest
index b67110a1de9..12d15799fc5 100644
--- a/sci-mathematics/agda/Manifest
+++ b/sci-mathematics/agda/Manifest
@@ -1 +1,2 @@
DIST Agda-2.4.2.5.tar.gz 1031427 SHA256 959658a372d93b735d92191b372d221461026c98de4f92e56d198b576dfb67ee SHA512 c2e090a42f699200854c20dad868b4b67e99107f0cdbba20ed268f4618fcf80068ee31db37e4b6637f73128d9f652ef9276d8f7adea54628da759d79f5e4f4a2 WHIRLPOOL dd2d579242b395835a25910409df1eacaa5c7253a43d7cd6fbeb51146df5252ef2f255d063d15c5cc6bd3fab9e568a60b798539c4f73747411f31919970dee1e
+DIST Agda-2.5.2.tar.gz 1240885 SHA256 d812cec3bf7f03c4b27248572475c7e060154102771a8434cc11ba89f5691439 SHA512 39ec73316eb7409f7f2618e86a9a3a2c420c93470bf46a1c37a4c4753c6c831d2d6da9ba007086ddee9defd481a695bf142a0a7d360dfa01bdb1fb92467af164 WHIRLPOOL b85abca763117f8216dac5055ada3d8fd46d0efb7ed5bc32d7b491416c74213741822c798dbabdf227bf420776ad32423eac7e06ffe74196381b1fd4886255c4
diff --git a/sci-mathematics/agda/agda-2.5.2-r1.ebuild b/sci-mathematics/agda/agda-2.5.2-r1.ebuild
new file mode 100644
index 00000000000..ddffc1f5816
--- /dev/null
+++ b/sci-mathematics/agda/agda-2.5.2-r1.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+# ebuild generated by hackport 0.5.1
+
+CABAL_FEATURES="lib profile haddock hoogle hscolour"
+inherit haskell-cabal elisp-common
+
+MY_PN="Agda"
+MY_P="${MY_PN}-${PV}"
+
+## shared with sci-mathematics/agda-stdlib
+# upstream does not maintain version ordering:
+# https://github.com/agda/agda-stdlib/releases
+# 0.11 -> 2.5.0.20160213 -> 2.5.0.20160412 -> 0.12
+# As Agda-stdlib is tied to Agda version we encode
+# both versions in gentoo version.
+##
+MY_UPSTREAM_AGDA_STDLIB_V="0.13"
+MY_GENTOO_AGDA_STDLIB_V="${PV}.${MY_UPSTREAM_AGDA_STDLIB_V}"
+
+DESCRIPTION="A dependently typed functional programming language and proof assistant"
+HOMEPAGE="http://wiki.portal.chalmers.se/agda/"
+SRC_URI="mirror://hackage/packages/archive/${MY_PN}/${PV}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="+cpphs debug uhc +stdlib emacs"
+
+RESTRICT=test # Unrecognized option: --test (did you mean any of --help --js --css ?)
+
+RDEPEND=">=dev-haskell/boxes-0.1.3:=[profile?] <dev-haskell/boxes-0.2:=[profile?]
+ >=dev-haskell/data-hash-0.2.0.0:=[profile?] <dev-haskell/data-hash-0.3:=[profile?]
+ >=dev-haskell/edisoncore-1.3.1.1:=[profile?] <dev-haskell/edisoncore-1.3.2:=[profile?]
+ >=dev-haskell/edit-distance-0.2.1.2:=[profile?] <dev-haskell/edit-distance-0.3:=[profile?]
+ >=dev-haskell/equivalence-0.2.5:=[profile?] <dev-haskell/equivalence-0.4:=[profile?]
+ >=dev-haskell/fail-4.9:=[profile?] <dev-haskell/fail-4.10:=[profile?]
+ >=dev-haskell/geniplate-mirror-0.6.0.6:=[profile?] <dev-haskell/geniplate-mirror-0.8:=[profile?]
+ >=dev-haskell/gitrev-1.2:=[profile?] <dev-haskell/gitrev-2.0:=[profile?]
+ >=dev-haskell/hashable-1.2.1.0:=[profile?] <dev-haskell/hashable-1.3:=[profile?]
+ >=dev-haskell/haskeline-0.7.1.3:=[profile?] <dev-haskell/haskeline-0.8:=[profile?]
+ >=dev-haskell/ieee754-0.7.8:=[profile?] <dev-haskell/ieee754-0.8:=[profile?]
+ >=dev-haskell/monadplus-1.4:=[profile?] <dev-haskell/monadplus-1.5:=[profile?]
+ >=dev-haskell/murmur-hash-0.1:=[profile?] <dev-haskell/murmur-hash-0.2:=[profile?]
+ >=dev-haskell/parallel-3.2.0.4:=[profile?] <dev-haskell/parallel-3.3:=[profile?]
+ >=dev-haskell/regex-tdfa-1.2.2:=[profile?] <dev-haskell/regex-tdfa-1.3:=[profile?]
+ >=dev-haskell/semigroups-0.18:=[profile?] <dev-haskell/semigroups-0.19:=[profile?]
+ >=dev-haskell/strict-0.3.2:=[profile?] <dev-haskell/strict-0.4:=[profile?]
+ >=dev-haskell/text-0.11.3.1:=[profile?] <dev-haskell/text-1.3:=[profile?]
+ >=dev-haskell/transformers-compat-0.3.3.3:=[profile?] <dev-haskell/transformers-compat-0.6:=[profile?]
+ >=dev-haskell/unordered-containers-0.2.5.0:=[profile?] <dev-haskell/unordered-containers-0.3:=[profile?]
+ >=dev-haskell/xhtml-3000.2.1:=[profile?] <dev-haskell/xhtml-3000.3:=[profile?]
+ >=dev-haskell/zlib-0.4.0.1:=[profile?]
+ >=dev-lang/ghc-7.10.1:=
+ >=dev-haskell/hashtables-1.0.1.8:=[profile?] <dev-haskell/hashtables-1.3:=[profile?]
+ >=dev-haskell/mtl-2.1.1:=[profile?] <dev-haskell/mtl-2.3:=[profile?]
+ uhc? ( >=dev-haskell/shuffle-0.1.3.3:=[profile?]
+ >=dev-haskell/uhc-light-1.1.9.2:=[profile?] <dev-haskell/uhc-light-1.2:=[profile?]
+ >=dev-haskell/uhc-util-0.1.6.7:=[profile?] <dev-haskell/uhc-util-0.1.7:=[profile?]
+ >=dev-haskell/uulib-0.9.20:=[profile?] )
+"
+RDEPEND+="
+ emacs? ( app-emacs/haskell-mode
+ virtual/emacs )
+"
+PDEPEND="stdlib? ( =sci-mathematics/agda-stdlib-${MY_GENTOO_AGDA_STDLIB_V} )"
+DEPEND="${RDEPEND}
+ dev-haskell/alex
+ >=dev-haskell/cabal-1.22.2.0
+ dev-haskell/happy
+ cpphs? ( dev-haskell/cpphs )
+"
+RDEPEND+="!sci-mathematics/agda-executable"
+
+SITEFILE="50${PN}2-gentoo.el"
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ default
+ if ! use emacs; then
+ sed -e '/.*emacs-mode.*$/d' \
+ -i "${S}/${MY_PN}.cabal" \
+ || die "Could not remove agda-mode from ${MY_PN}.cabal"
+ fi
+}
+
+src_configure() {
+ haskell-cabal_src_configure \
+ $(cabal_flag cpphs cpphs) \
+ $(cabal_flag debug debug) \
+ $(cabal_flag uhc uhc)
+}
+
+src_compile() {
+ if use emacs; then
+ BYTECOMPFLAGS="-L ./src/data/emacs-mode"
+ elisp-compile src/data/emacs-mode/*.el \
+ || die "Failed to compile emacs mode"
+ fi
+ haskell-cabal_src_compile
+}
+
+src_test() {
+ export LD_LIBRARY_PATH="${S}/dist/build${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
+
+ dist/build/agda/agda --test +RTS -M1g || die
+}
+
+src_install() {
+ local add="${ED}"/usr/share/"${P}/ghc-$(ghc-version)"
+
+ haskell-cabal_src_install
+
+ export LD_LIBRARY_PATH="${S}/dist/build${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
+ # compile Agda.Primitive and Agda.Builtin modules, emulate Setup.hs postinst phase
+ Agda_datadir="${add}" \
+ "${ED}"/usr/bin/agda "${add}"/lib/prim/Agda/Primitive.agda \
+ || die "Failed to build 'Primitive.agdai'"
+ for file in "${add}"/lib/prim/Agda/Builtin/*.agda; do
+ Agda_datadir="${add}" \
+ "${ED}"/usr/bin/agda "${file}" \
+ || die "Failed to build '${file}'"
+ done
+
+ if use emacs; then
+ elisp-install ${PN} src/data/emacs-mode/*.el \
+ || die "Failed to install emacs mode"
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}" \
+ || die "Failed to install elisp site file"
+ fi
+}
+
+pkg_postinst() {
+ haskell-cabal_pkg_postinst
+ if use emacs; then
+ elisp-site-regen
+ fi
+}
+
+pkg_postrm() {
+ haskell-cabal_pkg_postrm
+ if use emacs; then
+ elisp-site-regen
+ fi
+}
diff --git a/sci-mathematics/agda/metadata.xml b/sci-mathematics/agda/metadata.xml
index ea96b9e3cce..057c778e581 100644
--- a/sci-mathematics/agda/metadata.xml
+++ b/sci-mathematics/agda/metadata.xml
@@ -18,5 +18,6 @@
<use>
<flag name="cpphs">Use cpphs instead of cpp.</flag>
<flag name="stdlib">Install the standard library.</flag>
+ <flag name="uhc">Add support for the uhc backend.</flag>
</use>
</pkgmetadata>